﻿using Infragistics.Documents.Excel;
using System.Threading;
using System.Windows;

namespace XamSpreadSheetFeatures
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            System.Globalization.CultureInfo cultureInfo =
                   new System.Globalization.CultureInfo("en-US");
            System.Globalization.DateTimeFormatInfo dateTimeInfo =
            new System.Globalization.DateTimeFormatInfo();
            cultureInfo.DateTimeFormat = dateTimeInfo;
            cultureInfo.NumberFormat.NumberGroupSeparator = " ";
            
            Thread.CurrentThread.CurrentCulture = cultureInfo;
            Thread.CurrentThread.CurrentUICulture = cultureInfo;

            InitializeComponent();
        }

        private void XamSpreadsheet_Loaded(object sender, RoutedEventArgs e)
        {
            xamSpreadSheet1.Workbook = Workbook.Load(@"../../MyExcel.xlsx");
        }
    }
}
